CTRLALTDEL(8)

NOMBRE
ctrlaltdel - establece la función de la combinación Ctrl-Alt-Supr

SINOPSIS

ctrlaltdel hard|soft

DESCRIPCIÓN

En base al examen del código de linux/kernel/reboot.c, se observan dos funciones que la secuencia <Ctrl-Alt-Supr> puede ejecutar.

hard
    Reinicia inmediatamente el equipo sin incovar sync(2) ni ningú otro preámbulo. Este es el comportamiento por defecto.

soft
    Ordena al núcleo emitir la señal SIGINT (interrupción) al proceso init que siempre tiene un PID de 1. Si se emplea esta opción, el programa init(8) debe implementarla. Dado que existen varias versiones del programa init(8), deberá consultar la documentación de la suya.

Cuando se ejecuta la orden sin ningú argumento, se muestra la configuración actual.

La función de ctrlaltdel suele definirse en el fichero /etc/rc.local.

OPCIONES

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Print version and exit.

FICHEROS

/etc/rc.local

AUTORES

VÉASE TAMBIÉN

init(8), systemd(1)

INFORMAR DE ERRORES

For bug reports, use the issue tracker at

DISPONIBILIDAD

La orden ctrlaltdel forma parte del paquete util-linux, el cual puededescargarse de